Bug 121312 - mail with attachment forwarded as an attachment doesn't display properly
mail with attachment forwarded as an attachment doesn't display properly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
6
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-20 08:16 EDT by Manuel "Chilli" Chakravarty
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 20:22:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Email message with a single PNG image as a MIME attachment (4.56 KB, text/plain)
2004-04-20 08:17 EDT, Manuel "Chilli" Chakravarty
no flags Details
Email message that contains an email attachment with in turn contains a PNG attachment (6.24 KB, text/plain)
2004-04-20 08:19 EDT, Manuel "Chilli" Chakravarty
no flags Details
Email with email attachment that has PDF attachment which doesn't work in evo-2.0.4 (72.35 KB, text/plain)
2005-04-27 16:35 EDT, Tom Cross
no flags Details

  None (edit)
Description Manuel "Chilli" Chakravarty 2004-04-20 08:16:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Galeon/1.3.14

Description of problem:
If I forward an email message that contains an attachment as an
attachment (thus creating a nested attachment), the forwarded message
does not display properly - ie, the MIME within the attached message
is not interpreted (but displayed verbatim).

As I both forward the email message with evolution and read the
resulting mail message with evolution, I am not certain whether it is
the act of forwarding which creates a malformed nested MIME attachment
or whether the display component simply does not handle nested MIME
attachments properly.

Version-Release number of selected component (if applicable):
evolution-1.4.6-1

How reproducible:
Always

Steps to Reproduce:
1. Receive an email message that includes an attachment (eg, an image
as in the Bugzilla attachment "attachment.txt" to this bug report).
2. Forward this email message by pressing Ctrl-F (forward it to yourself).
3. Read the forwarded email message.
    

Actual Results:  The attached email message (ie, the one received in
Step 1) is displayed as verbatim ASCII instead of the MIME contained
in it being interpreted.  In particular, if the nested attachment is
an image, its encoded ASCII representation is displayed instead of an
image.

Expected Results:  The nested attachment should be displayed in the
same way as first-level attachment with the usual choice of displaying
images inline or with an external viewer etc.

Additional info:

I attach a file "attachment-with-attachment.txt" to this bug report
that contains a saved email message demonstrating the problem.  I also
attach "attachment.txt", which is the email message that I forwarded
to produce "attachment-with-attachment.txt".
Comment 1 Manuel "Chilli" Chakravarty 2004-04-20 08:17:43 EDT
Created attachment 99556 [details]
Email message with a single PNG image as a MIME attachment
Comment 2 Manuel "Chilli" Chakravarty 2004-04-20 08:19:13 EDT
Created attachment 99557 [details]
Email message that contains an email attachment with in turn contains a PNG attachment
Comment 3 Tom Cross 2005-04-27 16:28:46 EDT
I think I might be having the same problem here.  User1 received an email with
PDF attachment.  User1 forwards email to User2 using "forward as attachment". 
User2 gets it but evolution completly forgets what to do with PDF attachments
and only gives User2 the ability to "Save As...".   User2 forwards to me
(running evolution-1.4.6-2) and I am able to open PDF attachment from evolution
just fine.

User1 and User2 are running evolution-2.0.4 from Fedora Core 3.
Comment 4 Tom Cross 2005-04-27 16:35:12 EDT
Created attachment 113736 [details]
Email with email attachment that has PDF attachment which doesn't work in evo-2.0.4

Evolution-2.0.4 (fc3) has no idea what to do with the PDF attachment in this
message, but evolution-1.4.6-2 (fc2) works fine.
Comment 5 John Thacker 2006-10-30 09:45:50 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 6 Per Nystrom 2007-01-08 21:11:17 EST
This problem still exists as of FC6, evolution-2.8.2.1-3.fc6.
Comment 7 Matthew Barnes 2007-10-04 20:22:09 EDT
I tested with Evolution 2.12.0 by forwarding myself the "attachment.txt" mbox
and the received message and the PNG attachment was intact and properly displayed.

Closing this as RAWHIDE, but feel free to reopen if you still encounter the
problem using Evolution 2.12.0 or later.

Note You need to log in before you can comment on or make changes to this bug.